Import Actions

Import Actions
Import an action bundle

Imports an action bundle and saves all actions

Request
URI
POST
https://vcfa-10-162-161-9.vcfd.broadcom.net/abx/api/resources/actions/import
COPY
Request Body
ActionsImport of type(s) application/json
Required
{
    "bundleId": "string",
    "compressedBundle": "string",
    "option": "string",
    "projectId": "string",
    "system": false
}
string
bundleId
Optional

bundleId

string As byte As byte
compressedBundle
Optional

compressedBundle

string
option
Optional

option

Possible values are : FAIL, IGNORE, OVERWRITE, CREATE,
string
projectId
Optional

projectId

boolean
system
Optional

system

Authentication
This operation uses the following authentication methods.
Responses
200

Actions imported

Returns ActionImportResponse of type(s) */*
{
    "actions": [
        {
            "id": "string",
            "projectId": "string",
            "orgId": "string"
        }
    ]
}

401

Unauthorized to make the request

Returns ActionImportResponse of type(s) */*
{
    "actions": [
        {
            "id": "string",
            "projectId": "string",
            "orgId": "string"
        }
    ]
}

403

Forbidden

Returns ActionImportResponse of type(s) */*
"ActionImportResponse Object"
array of object
actions
Optional

Model representing an action identity


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/abx/api/resources/actions/import